-----------------------
-- define global variable

blue_zones_captured = 0
red_zones_captured = 0
message_value = 0
show_smoke = 0
make_radio_sfx = 0
-------------------------
-- define editable variables

cycles_before_show_smoke = 1		-- how many cycles before showing a smoke grenade
cycles_before_message_reset = 12	-- max cycles before starting message repeater
min_smoke_dist = 1000			-- set min distances for smoke markers
max_smoke_dist = 3000			-- set max distances for smoke markers
min_explosion_dist = 500		-- set min distances for random explosions during a seige
max_explosion_dist = 2000		-- set max distances for random explosions during a seige
explosion_power = 5000			-- set explosion power for atmosphere effect during seiges

--------------------------------------
function update_zones()
--------------------------------------
mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone1'},
flag = 20000,
toggle = true,
interval = 1,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone2'},
flag = 20001,
toggle = true,
interval = 2,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone3'},
flag = 20002,
toggle = true,
interval = 3,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone4'},
flag = 20003,
toggle = true,
interval = 4,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone5'},
flag = 20004,
toggle = true,
interval = 5,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone6'},
flag = 20005,
toggle = true,
interval = 6,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone7'},
flag = 20006,
toggle = true,
interval = 7,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone8'},
flag = 20007,
toggle = true,
interval = 8,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone9'},
flag = 20008,
toggle = true,
interval = 9,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone10'},
flag = 20009,
toggle = true,
interval = 10,
}
mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone11'},
flag = 20010,
toggle = true,
interval = 11,
}

mist.flagFunc.units_in_zones{
units = {'[blue][vehicles]'},
zones = {'DropoffZone12'},
flag = 20011,
toggle = true,
interval = 12,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone1'},
flag = 20020,
toggle = true,
interval = 13,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone2'},
flag = 20021,
toggle = true,
interval = 14,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone3'},
flag = 20022,
toggle = true,
interval = 15,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone4'},
flag = 20023,
toggle = true,
interval = 16,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone5'},
flag = 20024,
toggle = true,
interval = 17,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone6'},
flag = 20025,
toggle = true,
interval = 18,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone7'},
flag = 20026,
toggle = true,
interval = 19,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone8'},
flag = 20027,
toggle = true,
interval = 20,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone9'},
flag = 20028,
toggle = true,
interval = 21,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone10'},
flag = 20029,
toggle = true,
interval = 22,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone11'},
flag = 20030,
toggle = true,
interval = 23,
}

mist.flagFunc.units_in_zones{
units = {'[red][vehicles]'},
zones = {'DropoffZone12'},
flag = 20031,
toggle = true,
interval = 24,
}

return
end
---

--------------------------------
function say_conqueror_logic(arg, time)
--------------------------------
message_value = message_value + 1
show_smoke = show_smoke + 1

say_conqueror(message_value)


return time + 15
end
---

--------------------------------
function say_conqueror(which)
--------------------------------

if which == 1 then
	zone_0_blue = trigger.misc.getUserFlag(20000)
	zone_0_red = trigger.misc.getUserFlag(20020)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Solenoe is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local _zonePos= mist.utils.zoneToVec3('DropoffZone1')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Solenoe is occupied by Russian forces. The red coalition has won the mission!'
				msg.displayTime = 999 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone1')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Red)
					end
		end




		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Solenoe is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone1')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 2 then
	zone_0_blue = trigger.misc.getUserFlag(20001)
	zone_0_red = trigger.misc.getUserFlag(20021)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kurdzhinovo is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone2')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kurdzhinovo is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone2')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Kurdzhinovo is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone2')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 3 then
	zone_0_blue = trigger.misc.getUserFlag(20002)
	zone_0_red = trigger.misc.getUserFlag(20022)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Pseman is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone3')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Pseman is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone3')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Pseman is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone3')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 4 then
	zone_0_blue = trigger.misc.getUserFlag(20003)
	zone_0_red = trigger.misc.getUserFlag(20023)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Pregradnaya is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
			local zonePos= mist.utils.zoneToVec3('DropoffZone4')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Pregradnaya is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone4')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Pregradnaya is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone4')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 5 then
	zone_0_blue = trigger.misc.getUserFlag(20004)
	zone_0_red = trigger.misc.getUserFlag(20024)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kobu-Bashi is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone5')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kobu-Bashi is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone5')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Kobu-Bashi is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone5')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 6 then
	zone_0_blue = trigger.misc.getUserFlag(20005)
	zone_0_red = trigger.misc.getUserFlag(20025)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Storozhevaya is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone6')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Storozhevaya is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone6')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Storozhevaya is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone6')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end


if which == 7 then
	zone_0_blue = trigger.misc.getUserFlag(20006)
	zone_0_red = trigger.misc.getUserFlag(20026)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Zelenshukskaya is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone7')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Zelenshukskaya is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone7')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Zelenshukskaya is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone7')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 8 then
	zone_0_blue = trigger.misc.getUserFlag(20007)
	zone_0_red = trigger.misc.getUserFlag(20027)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kardonikskaya is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone8')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kardonikskaya is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone8')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Kardonikskaya is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone8')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end

if which == 9 then
	zone_0_blue = trigger.misc.getUserFlag(20008)
	zone_0_red = trigger.misc.getUserFlag(20028)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kyzl Okyabriskiy is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone9')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Kyzl Okyabriskiy is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone9')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Kyzl Okyabriskiy is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone9')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end


if which == 10 then
	zone_0_blue = trigger.misc.getUserFlag(20009)
	zone_0_red = trigger.misc.getUserFlag(20029)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Sary-Tyuz is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone10')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Sary-Tyuz is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone10')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Sary-Tyuz is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone10')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end


if which == 11 then
	zone_0_blue = trigger.misc.getUserFlag(20010)
	zone_0_red = trigger.misc.getUserFlag(20030)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Ust-Dzheguta is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone11')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Ust-Dzheguta is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone11')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Ust-Dzheguta is occupied by American forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone11')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end


if which == 12 then
	zone_0_blue = trigger.misc.getUserFlag(20011)
	zone_0_red = trigger.misc.getUserFlag(20031)
		if zone_0_blue == 1 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Cherkessk is under seige!'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
				trigger.action.outSound('radio.ogg')
			local zonePos= mist.utils.zoneToVec3('DropoffZone12')
			trigger.action.explosion({x=_zonePos.x + math.random(min_explosion_dist,max_explosion_dist), y= land.getHeight({x = _zonePos.x, y = _zonePos.z}), z=_zonePos.z + math.random(min_explosion_dist,max_explosion_dist)}, explosion_power)
		end


		if zone_0_blue == 0 and zone_0_red == 1 then
				do
				local msg = {} 
				msg.text = ' Cherkessk is occupied by Russian forces.'
				msg.displayTime = 5 
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.RED, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone12')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end

		if zone_0_blue == 1 and zone_0_red == 0 then
				do
				local msg = {} 
				msg.text = ' Cherkessk is occupied by American forces... Red team has lost the mission! Congratulations to the blue coalition.'
				msg.displayTime = 999
				msg.msgFor = {coa = {'all'}}
				mist.message.add(msg)
				end
					trigger.action.outSoundForCoalition(coalition.side.BLUE, 'radio.ogg')
					if show_smoke == cycles_before_show_smoke then
					local _smokepos = mist.utils.zoneToVec3('DropoffZone12')
					trigger.action.smoke({x=_smokepos.x + math.random(min_smoke_dist,max_smoke_dist), y= land.getHeight({x = _smokepos.x, y = _smokepos.z}), z=_smokepos.z + math.random(min_smoke_dist,max_smoke_dist)}, trigger.smokeColor.Blue)
					end
		end
end







if message_value == cycles_before_message_reset then
message_value = 0
end

if show_smoke == cycles_before_show_smoke then
show_smoke = 0
end

return 
end
--


--------------------------------
function update_info(arg, time)
--------------------------------
blue_zones_captured = 0
red_zones_captured = 0

if trigger.misc.getUserFlag(20000) == 1 then
if trigger.misc.getUserFlag(20020) == 0 then
blue_zones_captured = blue_zones_captured + 1

end
end

if trigger.misc.getUserFlag(20001) == 1 then
if trigger.misc.getUserFlag(20021) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20002) == 1 then
if trigger.misc.getUserFlag(20022) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20003) == 1 then
if trigger.misc.getUserFlag(20023) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20004) == 1 then
if trigger.misc.getUserFlag(20024) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20005) == 1 then
if trigger.misc.getUserFlag(20025) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20006) == 1 then
if trigger.misc.getUserFlag(20026) == 0 then

blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20007) == 1 then
if trigger.misc.getUserFlag(20027) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20008) == 1 then
if trigger.misc.getUserFlag(20028) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20009) == 1 then
if trigger.misc.getUserFlag(20029) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20010) == 1 then
if trigger.misc.getUserFlag(20030) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20011) == 1 then
if trigger.misc.getUserFlag(20031) == 0 then
blue_zones_captured = blue_zones_captured + 1
end
end

-- red --

if trigger.misc.getUserFlag(20000) == 0 then
if trigger.misc.getUserFlag(20020) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20001) == 0 then
if trigger.misc.getUserFlag(20021) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20002) == 0 then
if trigger.misc.getUserFlag(20022) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20003) == 0 then
if trigger.misc.getUserFlag(20023) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20004) == 0 then
if trigger.misc.getUserFlag(20024) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20005) == 0 then
if trigger.misc.getUserFlag(20025) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20006) == 0 then
if trigger.misc.getUserFlag(20026) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20007) == 0 then
if trigger.misc.getUserFlag(20027) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20008) == 0 then
if trigger.misc.getUserFlag(20028) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20009) == 0 then
if trigger.misc.getUserFlag(20029) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20010) == 0 then
if trigger.misc.getUserFlag(20030) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

if trigger.misc.getUserFlag(20011) == 0 then
if trigger.misc.getUserFlag(20031) == 1 then
red_zones_captured = red_zones_captured + 1
end
end

return
end
---	


--------------------------------
function spawn_reinforcements(arg, time)
--------------------------------

update_info(nil, nil)


if blue_zones_captured == 0 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_A', 'BLUE_CA_SPAWNS')
end

if blue_zones_captured == 1 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_C', 'BLUE_CA_SPAWNS')
end

if blue_zones_captured == 2 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_B', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_C', 'BLUE_CA_SPAWNS')
end

if blue_zones_captured == 3 then
	local msg = {} 
	msg.text = ' A medium amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_C', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_1_SPAWN_E', 'BLUE_CA_SPAWNS')
end

if blue_zones_captured == 4 then
	local msg = {} 
	msg.text = ' A medium amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_B', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_C', 'BLUE_CA_SPAWNS')
end

if blue_zones_captured >= 5 then
	if blue_zones_captured <= 7 then
	local msg = {} 
	msg.text = ' A large amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_B', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_C', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_E', 'BLUE_CA_SPAWNS')
	end
end

if blue_zones_captured >= 8 then
	local msg = {} 
	msg.text = ' A large amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'blue'}}
	mist.message.add(msg)
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_2_SPAWN_A', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_B', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_C', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_C', 'BLUE_CA_SPAWNS')
	mist.cloneInZone('BLUE_LEVEL_3_SPAWN_E', 'BLUE_CA_SPAWNS')
end

if red_zones_captured == 0 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived north-east of Cherkessk!'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_1_SPAWN_A', 'RED_CA_SPAWNS')
end

if red_zones_captured == 1 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived to the east of Psebay'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_1_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_1_SPAWN_C', 'RED_CA_SPAWNS')
end

if red_zones_captured == 2 then
	local msg = {} 
	msg.text = ' A small amount of reinforcements have arrived north-east of Cherkessk!'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_1_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_1_SPAWN_B', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_1_SPAWN_C', 'RED_CA_SPAWNS')
end

if red_zones_captured == 3 then
	local msg = {} 
	msg.text = ' A medium amount of reinforcements have arrived north-east of Cherkessk!'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_2_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_2_SPAWN_C', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_1_SPAWN_E', 'RED_CA_SPAWNS')
end

if red_zones_captured == 4 then
	local msg = {} 
	msg.text = ' A medium amount of reinforcements have arrived north-east of Cherkessk!'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_2_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_2_SPAWN_B', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_2_SPAWN_C', 'RED_CA_SPAWNS')
end

if red_zones_captured >= 5 then
	if red_zones_captured <= 7 then
		local msg = {} 
		msg.text = ' A large amount of reinforcements have arrived north-east of Cherkessk!'
		msg.displayTime = 5 
		msg.msgFor = {coa = {'red'}}
		mist.message.add(msg)
		mist.cloneInZone('RED_LEVEL_2_SPAWN_A', 'RED_CA_SPAWNS')
		mist.cloneInZone('RED_LEVEL_3_SPAWN_B', 'RED_CA_SPAWNS')
		mist.cloneInZone('RED_LEVEL_2_SPAWN_C', 'RED_CA_SPAWNS')
		mist.cloneInZone('RED_LEVEL_3_SPAWN_E', 'RED_CA_SPAWNS')
	end
end


if red_zones_captured >= 8 then
	local msg = {} 
	msg.text = ' A large amount of reinforcements have arrived north-east of Cherkessk!'
	msg.displayTime = 5 
	msg.msgFor = {coa = {'red'}}
	mist.message.add(msg)
	mist.cloneInZone('RED_LEVEL_3_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_2_SPAWN_A', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_3_SPAWN_B', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_3_SPAWN_C', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_3_SPAWN_C', 'RED_CA_SPAWNS')
	mist.cloneInZone('RED_LEVEL_3_SPAWN_E', 'RED_CA_SPAWNS')
end




return time + 10800
end
---
timer.scheduleFunction(update_zones, {}, timer.getTime() + 5)
timer.scheduleFunction(say_conqueror_logic, {}, timer.getTime() + 35)
timer.scheduleFunction(spawn_reinforcements, {}, timer.getTime() + 30)